/*
 *	Copyright (C) 2009 Jonathan Naylor, G4KLX
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; version 2 of the License.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 */

#if !defined(__UTILS_H)
#define	__UTILS_H

class CUtils {
public:
	static void          dump(char* title, const bool* data, unsigned int length);
	static void          dumpRev(char* title, const bool* data, unsigned int length);
	static void          dumpRev(char* title, const unsigned char* data, unsigned int length);
	static unsigned char bitsToByte(const bool* bits);
	static unsigned char bitsToByteRev(const bool* bits);
	static void          byteToBits(unsigned char byte, bool* bits);
	static void          byteToBitsRev(unsigned char byte, bool* bits);

private:
};

#endif
